# $Revision: 1.5.2.1 $, $Date: 2004/08/15 12:16:33 $
Summary:	A KDE based chess environment
Summary(pl):	rodowisko do gry w szachy dla KDE
Name:		knights
Version:	0.6
Release:	1.1
License:	GPL
Group:		X11/Applications/Games
Source0:	http://dl.sourceforge.net/knights/%{name}-%{version}.tar.gz
# Source0-md5:	b04574568b9bc3982b934328ee63fb74
Source1:	http://dl.sourceforge.net/knights/knights-themepack-0.5.9.tar.gz
# Source1-md5:	ece32b73d43e16b997423c219dcda21d
URL:		http://www.knights-chess.com/
BuildRequires:	arts-devel
BuildRequires:	audiofile-devel
BuildRequires:	kdelibs-devel >= 3.0
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	qt-devel >= 3.0.2
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_desktopdir	%{_applnkdir}/Games/Board
%define		_htmldir	/usr/share/doc/kde/HTML

%description
Knights aims to be the ultimate chess resource on your computer.
Written for the K Desktop Environment, it's designed to be both
friendly to new chess players and functional for Grand Masters. Some
of Knights' key features include: single, multi, and Internet play;
customizable board and pieces; audio cues; move previews; and much
much more...

%description -l pl
Knights dy do tego, by by najlepszym programem szachowym na twoim
komputerze. Napisany zosta dla KDE, jest zaprojektowany w sposb
przyjazny dla nowych graczy, jak te funkcjonalny dla Wielkich
Mistrzw. Cechy Knights to: moliwo gry jednego, i wielu graczy, jak
te gry przez Internet; moliwo wybory stylu szachownicy i figur;
podpowiedzi dwikowe; podgld ruchw i wiele, wiele innych...

%package themes
Summary:	Knights themepack
Summary(pl):	Zestaw motyww do knights
Group:		Themes
Requires:	%{name} = %{version}

%description themes
Additional themes for the Knights chess enviroment.

%description themes -l pl
Dodatkowe motywy do rodowiska gry w szachy knights.

%prep
%setup -q

%build
kde_appsdir="%{_desktopdir}"; export kde_appsdir
kde_htmldir="%{_htmldir}"; export kde_htmldir
kde_icondir="%{_pixmapsdir}"; export kde_icondir
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_datadir}/apps/knights/themes
%{__tar} xfz %{SOURCE1} -C $RPM_BUILD_ROOT%{_datadir}/apps/knights/themes
mv $RPM_BUILD_ROOT%{_datadir}/apps/knights/themes/{knights-themepack/*.tar.gz,}
rm -rf $RPM_BUILD_ROOT%{_datadir}/apps/knights/themes/knights-themepack
mv $RPM_BUILD_ROOT%{_desktopdir}/{Games/Board/,}knights.desktop
echo "Categories=Qt;KDE;Game;BoardGame;" >> $RPM_BUILD_ROOT%{_desktopdir}/knights.desktop

%find_lang %{name} --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS README
%attr(755,root,root) %{_bindir}/%{name}*
%dir %{_datadir}/apps/knights
%{_datadir}/apps/knights/[!t]*
%{_desktopdir}/knights.desktop
%{_datadir}/mimelnk/application/pgn.desktop
%dir %{_datadir}/apps/knights/themes
%{_datadir}/apps/knights/themes/KBDefault.tar.gz
%{_datadir}/apps/knights/themes/KCDefault.tar.gz
%{_datadir}/apps/knights/themes/KSDefault.tar.gz
%{_pixmapsdir}/*/*/*/*.png

%files themes
%defattr(644,root,root,755)
%{_datadir}/apps/%{name}/themes/*
%exclude %{_datadir}/apps/knights/themes/KBDefault.tar.gz
%exclude %{_datadir}/apps/knights/themes/KCDefault.tar.gz
%exclude %{_datadir}/apps/knights/themes/KSDefault.tar.gz

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: knights.spec,v $
Revision 1.5.2.1  2004/08/15 12:16:33  blues
- release 1.1 for RA

Revision 1.5  2004/02/04 12:59:42  qboosh
- fixed Categories (missing semicolon)

Revision 1.4  2003/10/07 13:47:25  qboosh
- cleanups, removed COPYING (just GPL) and INSTALL (useless)

Revision 1.3  2003/09/27 22:18:13  ankry
- pl

Revision 1.2  2003/09/27 16:15:46  djurban
- typo

Revision 1.1  2003/09/27 16:05:12  djurban
- KNIGHTS AT LAST
